> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Get fulfillment requests filtered by search parameters

GET https://api.feedamp.feedonomics.com/api/v2/fulfillment_requests

Get all fulfillment requests that match the parameters that you have submitted

Reference: https://docs.feedonomics.com/developer/api-reference/rest/feed-amp-order-api-v2/fulfillment-requests/get-fulfillment-requests

## Authentication

- `token` header (required) — The Authentication token obtained from the get_token route.
- `x-api-key` header (required) — The SSO token obtained from the Feedonomics platform SSO token route.

## Request

### Query parameters

- `created_after` (datetime, optional) — Record was created after this datetime. RFC-3339 date-time format — fractional seconds not allowed
- `created_before` (datetime, optional) — Record was created before this datetime. RFC-3339 date-time format — fractional seconds not allowed
- `id` (string, optional) — FeedAMP fulfillment request ID. May be a comma-delimited list of multiple IDs.
- `platform_order_number` (string, optional) — Order identifier from associated e-commerce platform order record. May be a comma-delimited list of multiple
- `fulfilling_integration_id` (string, optional) — FeedAMP integration ID responsible for fulfilling orders
- `limit` (integer, optional, default: 100) — The max number of fulfillment requests in the response
- `cursor` (string, optional) — Cursor for the next page of fulfillment requests

### Headers

- `client` (integer, required) — The ID of the client making the request

## Response

### 200

List of fulfillment requests

- `fulfillment_requests` (list of FulfillmentRequest, required)
- `next_cursor` (string, optional)

## Errors

### 400 Bad Request Error

Validation error(s) on requested filter parameters

- `list of FulfillmentRequestsGetResponsesContentApplicationJsonSchemaItems`

### 401 Unauthorized Error

Error validating credentials or access to resources.

- `error` (string, required)

### 500 Internal Server Error

An unexpected server error occurred. Please contact Feedonomics Support if error persists.

- `error` (string, required)

### 503 Service Unavailable Error

Server is temporarily unable to handle the request

- `error` (string, required)

## Types

### FulfillmentRequest

A set of specific items to be fulfilled by a merchant.

- `id` (string, required) — Unique identifier for a record
- `order_id` (integer, required) — ID of the original customer order
- `fulfilling_integration_id` (string, required) — FeedAMP client integration identifier that this fulfillment request belongs to
- `fulfilling_integration_name` (string, required) — Customer-defined name for this fulfillment source
- `fulfilling_integration_plugin` (string, required) — Which e-commerce platform is this
- `fulfillment_request_lines` (list of FulfillmentRequestLine, required) — A collection of FulfillmentRequestLine objects describing the specific items and quantities to fulfill. Note that these lines might not match the contents of the original Order order lines depending on transformation of product data.
- `created_at` (datetime, required) — The datetime this record was created. RFC-3339 format 2020-12-31T12:34:56-05:00
- `platform_order_number` (string, optional) — Identifier for an e-commerce platform order record that this Fulfillment Request reflects
- `fulfillment_type` (string, optional) — Whether this is a shipment, pickup, digital download, etc.
- `shipping_address` (StreetAddress, optional) — Customer's Shipping Information

### FulfillmentRequestsGetResponsesContentApplicationJsonSchemaItems

- `query_parameter` (string, required) — The query parameter that did not pass validation
- `message` (string, required) — Message describing the error

### FulfillmentRequestLine

Details of an item to be fulfilled by the merchant

- `id` (string, required) — Unique identifier for a record
- `feedamp_order_line_number` (string, required) — Unique identifier for a record
- `sku` (string, required)
- `quantity` (integer, required)
- `product_name` (string, optional)
- `shipping_method` (string, optional)

### StreetAddress

Customer's Shipping Information

- `full_name` (string, required) — Primary name on the shipping address
- `address1` (string, required) — Shipping street address, line 1
- `city` (string, required) — Shipping address (City)
- `state` (string, required) — Shipping address (State or Province)
- `postal_code` (string, required) — Shipping address (Postal or Zip code)
- `country_code` (enum, required) — ISO 3166-1 alpha-3 country codes
  - Allowed values: `ABW`, `AFG`, `AGO`, `AIA`, `ALA`, `ALB`, `AND`, `ARE`, `ARG`, `ARM`, `ASM`, `ATA`, `ATF`, `ATG`, `AUS`, `AUT`, `AZE`, `BDI`, `BEL`, `BEN`, `BES`, `BFA`, `BGD`, `BGR`, `BHR`, `BHS`, `BIH`, `BLM`, `BLR`, `BLZ`, `BMU`, `BOL`, `BRA`, `BRB`, `BRN`, `BTN`, `BVT`, `BWA`, `CAF`, `CAN`, `CCK`, `CHE`, `CHL`, `CHN`, `CIV`, `CMR`, `COD`, `COG`, `COK`, `COL`, `COM`, `CPV`, `CRI`, `CUB`, `CUW`, `CXR`, `CYM`, `CYP`, `CZE`, `DEU`, `DJI`, `DMA`, `DNK`, `DOM`, `DZA`, `ECU`, `EGY`, `ERI`, `ESH`, `ESP`, `EST`, `ETH`, `FIN`, `FJI`, `FLK`, `FRA`, `FRO`, `FSM`, `GAB`, `GBR`, `GEO`, `GGY`, `GHA`, `GIB`, `GIN`, `GLP`, `GMB`, `GNB`, `GNQ`, `GRC`, `GRD`, `GRL`, `GTM`, `GUF`, `GUM`, `GUY`, `HKG`, `HMD`, `HND`, `HRV`, `HTI`, `HUN`, `IDN`, `IMN`, `IND`, `IOT`, `IRL`, `IRN`, `IRQ`, `ISL`, `ISR`, `ITA`, `JAM`, `JEY`, `JOR`, `JPN`, `KAZ`, `KEN`, `KGZ`, `KHM`, `KIR`, `KNA`, `KOR`, `KWT`, `LAO`, `LBN`, `LBR`, `LBY`, `LCA`, `LIE`, `LKA`, `LSO`, `LTU`, `LUX`, `LVA`, `MAC`, `MAF`, `MAR`, `MCO`, `MDA`, `MDG`, `MDV`, `MEX`, `MHL`, `MKD`, `MLI`, `MLT`, `MMR`, `MNE`, `MNG`, `MNP`, `MOZ`, `MRT`, `MSR`, `MTQ`, `MUS`, `MWI`, `MYS`, `MYT`, `NAM`, `NCL`, `NER`, `NFK`, `NGA`, `NIC`, `NIU`, `NLD`, `NOR`, `NPL`, `NRU`, `NZL`, `OMN`, `PAK`, `PAN`, `PCN`, `PER`, `PHL`, `PLW`, `PNG`, `POL`, `PRI`, `PRK`, `PRT`, `PRY`, `PSE`, `PYF`, `QAT`, `REU`, `ROU`, `RUS`, `RWA`, `SAU`, `SDN`, `SEN`, `SGP`, `SGS`, `SHN`, `SJM`, `SLB`, `SLE`, `SLV`, `SMR`, `SOM`, `SPM`, `SRB`, `SSD`, `STP`, `SUR`, `SVK`, `SVN`, `SWE`, `SWZ`, `SXM`, `SYC`, `SYR`, `TCA`, `TCD`, `TGO`, `THA`, `TJK`, `TKL`, `TKM`, `TLS`, `TON`, `TTO`, `TUN`, `TUR`, `TUV`, `TWN`, `TZA`, `UGA`, `UKR`, `UMI`, `URY`, `USA`, `UZB`, `VAT`, `VCT`, `VEN`, `VGB`, `VIR`, `VNM`, `VUT`, `WLF`, `WSM`, `YEM`, `ZAF`, `ZMB`, `ZWE`
- `address_type` (string, optional) — The category of the shipping address
- `address2` (string, optional) — Shipping street address, line 2
- `address3` (string, optional) — Shipping street address, line 3 (international shipping address info)
- `country_code_iso2` (enum, optional) — ISO 3166-1 alpha-2 country codes
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `XK`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
- `phone` (string, optional) — Shipping phone number

## Examples

**Response**

```json
{
  "fulfillment_requests": [
    {
      "id": "109872189273617283",
      "order_id": 1,
      "fulfilling_integration_id": "109872189273617283",
      "fulfilling_integration_name": "BigCommerce UK",
      "fulfilling_integration_plugin": "BigCommercePlugin",
      "fulfillment_request_lines": [
        {
          "id": "109872189273617283",
          "feedamp_order_line_number": "109872189273617283",
          "sku": "string",
          "quantity": 1,
          "product_name": "string",
          "shipping_method": "string"
        }
      ],
      "created_at": {},
      "platform_order_number": "111-99998888-55555",
      "fulfillment_type": "string",
      "shipping_address": {
        "full_name": "John M. Doe",
        "address1": "123 Fake Street",
        "city": "Ghost Town",
        "state": "DC",
        "postal_code": "91234",
        "country_code": "USA",
        "address_type": "business",
        "address2": "Building 456",
        "address3": "Room 789",
        "country_code_iso2": "US",
        "phone": "9997776666"
      }
    }
  ],
  "next_cursor": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.feedamp.feedonomics.com/api/v2/fulfillment_requests"

querystring = {"created_after":"2024-03-13T08:50:59-08:00","created_before":"2024-03-13T08:50:59-08:00","fulfilling_integration_id":"109872189273617283"}

headers = {
    "client": "1",
    "token": "<apiKey>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.feedamp.feedonomics.com/api/v2/fulfillment_requests?created_after=2024-03-13T08%3A50%3A59-08%3A00&created_before=2024-03-13T08%3A50%3A59-08%3A00&fulfilling_integration_id=109872189273617283';
const options = {method: 'GET', headers: {client: '1', token: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.feedamp.feedonomics.com/api/v2/fulfillment_requests?created_after=2024-03-13T08%3A50%3A59-08%3A00&created_before=2024-03-13T08%3A50%3A59-08%3A00&fulfilling_integration_id=109872189273617283"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("client", "1")
	req.Header.Add("token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.feedamp.feedonomics.com/api/v2/fulfillment_requests?created_after=2024-03-13T08%3A50%3A59-08%3A00&created_before=2024-03-13T08%3A50%3A59-08%3A00&fulfilling_integration_id=109872189273617283")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["client"] = '1'
request["token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.feedamp.feedonomics.com/api/v2/fulfillment_requests?created_after=2024-03-13T08%3A50%3A59-08%3A00&created_before=2024-03-13T08%3A50%3A59-08%3A00&fulfilling_integration_id=109872189273617283")
  .header("client", "1")
  .header("token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.feedamp.feedonomics.com/api/v2/fulfillment_requests?created_after=2024-03-13T08%3A50%3A59-08%3A00&created_before=2024-03-13T08%3A50%3A59-08%3A00&fulfilling_integration_id=109872189273617283', [
  'headers' => [
    'client' => '1',
    'token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.feedamp.feedonomics.com/api/v2/fulfillment_requests?created_after=2024-03-13T08%3A50%3A59-08%3A00&created_before=2024-03-13T08%3A50%3A59-08%3A00&fulfilling_integration_id=109872189273617283");
var request = new RestRequest(Method.GET);
request.AddHeader("client", "1");
request.AddHeader("token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "client": "1",
  "token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.feedamp.feedonomics.com/api/v2/fulfillment_requests?created_after=2024-03-13T08%3A50%3A59-08%3A00&created_before=2024-03-13T08%3A50%3A59-08%3A00&fulfilling_integration_id=109872189273617283")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```